<?php
	//Get system name
	if(file_exists("backend/name.txt") && file_get_contents("backend/name.txt") != "")
	{
		$sysname=file_get_contents("backend/name.txt") . " ";
	}
	else
	{
		$sysname="";
	}
?>
<?php
	//Open session
	session_start();
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
  <head>
    <meta http-equiv="content-type" content="text/html; charset=utf-8">
    <meta name="generator" content="CoffeeCup HTML Editor (www.coffeecup.com)">
    <meta name="created" content="Wed, 17 Jun 2015 12:33:52 GMT">
    <meta name="description" content="Listening to a live stream? Got a song you have to hear? This is the place to request it!">
	<link rel="shortcut icon" href="backend/favicon.ico">
    <title><?php echo $sysname; ?>Music Request System-Delete</title>
    
    <style type="text/css">
    <!--
    body {
      color:#000000;
	  background-color:#FFFFFF;
      background-image:url('backend/background.gif');
      background-repeat:repeat;
    }
    a  { color:#FFFFFF; background-color:#0000FF; }
    a:visited { color:#FFFFFF; background-color:#800080; }
    a:hover { color:#000000; background-color:#00FF00; }
    a:active { color:#000000; background-color:#FF0000; }
    -->
    </style>
  </head>
  <body>
  <?php
	if(file_exists("backend/logging.txt") && file_get_contents("backend/logging.txt") == "yes")
	{
		//Change the timezone
		if(file_exists("backend/timezone.txt"))
		{
			date_default_timezone_set(file_get_contents("backend/timezone.txt"));
		}
		else
		{
			date_default_timezone_set("America/Toronto");
		}
		//Logging enabled
		$ip=$_SERVER['REMOTE_ADDR'];
		$fh=fopen("log/" . date("Ymd") . ".txt",'a') or die("Backend failure.");
		if($_GET['confirm'] == "y" && $_GET['authorized'] == "y")
		{
			//Delete file
			unlink("posts/" . $_GET['p'] . ".txt");
			$date=date("g:i:s");
			fwrite($fh,$ip . " at " . $date . ": Deleted post \"" . $_GET['p'] . "\"\r\n");
			fclose($fh);
			echo ("<script type=\"text/javascript\">window.location = \"index.php\"</script>");
		}
		elseif($_GET['confirm'] == "y" && $_GET['authorized'] != "y")
		{
			//User not authorized to delete this file
			$date=date("g:i:s");
			fwrite($fh,$ip . " at " . $date . ": Attempted to illegally delete post \"" . $_GET['p'] . "\"\r\n");
			fclose($fh);
			echo ("<script type=\"text/javascript\">window.location = \"index.php\"</script>");
		}
		else
		{
			//Get file info
			$date=date("g:i:s");
			fwrite($fh,$ip . " at " . $date . ": Visited delete page for post \"" . $_GET['p'] . "\"\r\n");
			if(file_exists("posts/" . $_GET['p'] . ".txt"))
			{
				$date=date("g:i:s");
				fwrite($fh,$ip . " at " . $date . ": Obtained details for post \"" . $_GET['p'] . "\"\r\n");
				$contents=explode("\r\n",base64_decode(file_get_contents("posts/" . $_GET['p'] . ".txt")));
			}
			else
			{
				fwrite($fh,$ip . " at " . $date . ": Encountered error obtaining details for post \"" . $_GET['p'] . "\"\r\n");
				fclose($fh);
				die("Failed to obtain request information.");
			}
			fclose($fh);
		}
		
		//Get username
		if(isset($_SESSION['uname']) && $_SESSION['uname'] != "")
		{
			$uname=$_SESSION['uname'];
		}
		else
		{
			$uname=false;
		}
		
		$pun=$contents[1];
		$pip=$contents[2];
		
		if($_SESSION['sradmin'] != "y" && $ip != $pip)
		{
			//Nope.
			$date=date("g:i:s");
			fwrite($fh,$ip . " at " . $date . ": Visited delete page for post \"" . $_GET['p'] . "\"\r\n");
			fclose($fh);
			die("You are not authorized to delete this post. <a href=\"login.php\">Sign in</a> or <a href=\"index.php\">Cancel</a>.");
		}
	}
	else
	{
		//Logging disabled
		$ip=$_SERVER['REMOTE_ADDR'];
		if($_GET['confirm'] == "y" && $_GET['authorized'] == "y")
		{
			//Delete file
			unlink("posts/" . $_GET['p'] . ".txt");
			echo ("<script type=\"text/javascript\">window.location = \"index.php\"</script>");
		}
		elseif($_GET['confirm'] == "y" && $_GET['authorized'] != "y")
		{
			//User not authorized to delete this file
			echo ("<script type=\"text/javascript\">window.location = \"index.php\"</script>");
		}
		else
		{
			//Get file info
			if(file_exists("posts/" . $_GET['p'] . ".txt"))
			{
				$contents=explode("\r\n",base64_decode(file_get_contents("posts/" . $_GET['p'] . ".txt")));
			}
			else
			{
				die("Failed to obtain request information.");
			}
		}
		
		//Get username
		if(isset($_SESSION['uname']) && $_SESSION['uname'] != "")
		{
			$uname=$_SESSION['uname'];
		}
		else
		{
			$uname=false;
		}
		
		$pun=$contents[1];
		$pip=$contents[2];
		
		if($_SESSION['sradmin'] != "y" && $ip != $pip)
		{
			//Nope.
			die("You are not authorized to delete this post. <a href=\"login.php\">Sign in</a> or <a href=\"index.php\">Cancel</a>.");
		}
	}
  ?>
  <h1 style="text-align:center; text-decoration:underline;"><?php echo $sysname; ?>Music Request System-Delete Post #<?php echo $_GET['p']; ?></h1>
  <p>Post info:</p>
  <pre><?php var_dump($contents); ?></pre>
  <p><a href="delete.php?confirm=y&authorized=y&p=<?php echo $_GET['p']; ?>">I want to delete this</a> or <a href="index.php">Cancel</a></p>
  </body>
</html>